import request from '@/utils/request'

// 创建集运异常
export function createConsException(data) {
  return request({
    url: '/ecw/cons-exception/create',
    method: 'post',
    data: data
  })
}

// 更新集运异常
export function updateConsException(data) {
  return request({
    url: '/ecw/cons-exception/update',
    method: 'put',
    data: data
  })
}

// 删除集运异常
export function deleteConsException(id) {
  return request({
    url: '/ecw/cons-exception/delete?id=' + id,
    method: 'delete'
  })
}

// 获得集运异常
export function getConsException(query) {
  return request({
    url: '/ecw/cons-exception/get',
    method: 'get',
    params: query
  })
}

// 获得集运异常分页
export function getConsExceptionPage(query) {
  return request({
    url: '/ecw/cons-exception/page',
    method: 'get',
    params: query
  })
}

// 导出集运异常 Excel
export function exportConsExceptionExcel(query) {
  return request({
    url: '/ecw/cons-exception/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
